Name:           collada-dom
Version:        2.4.3
Release:        5%{?dist}
Summary:        COLLADA Document Object Model Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.collada.org

%global commit b67e4e68d302d28454265ee7bd58cc692333a625
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Source0:        https://github.com/rdiankov/collada-dom/archive/%{commit}/collada-dom-%{commit}.tar.gz

Patch0:         collada-dom.libsuffix.patch

BuildRequires:  cmake, gcc-c++, dos2unix
BuildRequires:  minizip-devel, zlib-devel, boost-devel, libxml2-devel, pcre-devel

%description
COLLADA is a royalty-free XML schema that enables digital asset exchange
within the interactive 3D industry. The COLLADA Document Object Model
(COLLADA DOM) is an application programming interface (API) that provides
a C++ object representation of a COLLADA XML instance document.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
rm -rf dom/external-libs
dos2unix README.rst
dos2unix licenses/dom_license_e.txt
dos2unix licenses/license_e.txt


%build
mkdir build
cd build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  ..

make  %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mv $RPM_BUILD_ROOT%{_libdir}/cmake/collada_dom-* $RPM_BUILD_ROOT%{_libdir}/cmake/collada_dom



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README.rst licenses/dom_license_e.txt licenses/license_e.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/collada_dom/


%changelog
* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.4.3-5
- Rebuild for boost 1.57.0

* Fri Jan 16 2015 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.4.3-4
- add patch to fix typos in pkgconfig file

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jun 05 2014 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.4.3-1
- Update to 2.4.3 release

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.4.2-4
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 2.4.2-3
- rebuild for boost 1.55.0

* Tue Mar 11 2014 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.4.2-2
- Change Source URL following https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

* Tue Mar 11 2014 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.4.2-1
- Update to 2.4.2 release

* Sun Jan 19 2014 Tim Niemueller <tim@niemueller.de> - 2.4.0-2
- Fix hardcoded path

* Sun Jan 19 2014 Tim Niemueller <tim@niemueller.de> - 2.4.0-1
- Update to 2.4.0 release
  (Patch provided by Till Hofmann, bz #1049997)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 2.3.1-9
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.3.1-8
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.3.1-7
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 2.3.1-6
- Rebuild for new boost

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 2.3.1-4
- Rebuild against PCRE 8.30

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 04 2011 Tim Niemueller <tim@niemueller.de> - 2.3.1-2
- Rebuild for new Boost version

* Thu Jul 21 2011 Tim Niemueller <tim@niemueller.de> - 2.3.1-1
- Update to 2.3.1

* Wed Apr 06 2011 Tim Niemueller <tim@niemueller.de> - 2.3-3
- Rebuild for new Boost version

* Fri Mar 25 2011 Tim Niemueller <tim@niemueller.de> - 2.3-2
- Use now-official tarball from project
- Drop upstreamed patch

* Mon Mar 21 2011 Tim Niemueller <tim@niemueller.de> - 2.3-1
- Initial package

